Support » Plugin: Toolset Types - Custom Post Types, Custom Fields and Taxonomies » Notification asking to purchase a Toolset Account

Viewing 15 replies - 1 through 15 (of 31 total)
  • Hi! I tried that, but it still shows “You must have a valid subscription in order to get upgrades or support for this plugin.”
    I’m trying to update from 2.2.23 to 2.3.

    If I uninstall it and install again to 2.3, would it erase the types and settings? Is it safe to do that?
    Thanks.

    s

    (@stepunk)

    Same problem here… I followed the instructions in the link but I keep getting the “You must have a valid subscription in order to get upgrades or support for this plugin.” message

    Plugin Support Beda

    (@bedas)

    @rjacome,
    you can safely delete the Toolset Types Plugin on your site, then download it from toolset.com, and re-upload/activate it.

    This is safe because all the data you created is stored in the database, which you do not alter during this process.

    Nonetheless, a full backup is recommended.

    @stepunk,
    can I ask you to try the same?
    – create a backup of your site
    – delete the current Toolset Types version you have
    – access your toolset.com account and download the 3.0 version

    Note:
    – Types 3.0 is only for paying users of Toolset.
    – Types 2.3 can be downloaded here in the repository and is free, currently up to date version of Toolset Types.

    Please let me know if this helped you to solve this issue.

    i keep getting the pay to update notice too. if 2.3 is free and up to date, why do i keep getting prompted to update and pay for 3? is it going to do this from here on out?

    Same here, asking to update to 3.0 and pay for it…
    Is this allowed by wordpress.org plugins rules? :/

    s

    (@stepunk)

    @bedas
    I followed your instructions, (delete typeset 2.3, and installed it again) but I keep getting the notification update.
    Can’t you release a 2.3.1 to permanently fix the issue?
    It’s very annoying, and it doesn’t looks good on my client side for whom I’m keeping the website up-to-date

    • This reply was modified 1 year, 7 months ago by s.
    Plugin Support Beda

    (@bedas)

    Types 2.3.1 is released, which should solve these issues:
    https://wordpress.org/plugins/types/

    We apologize the trouble

    No, Types 2.3.1 dont solve this:
    https://i.imgur.com/5Msp95b.png

    s

    (@stepunk)

    @bedas
    Same for me. I just updated to 2.3.1, but again it shows me the update to 3.0 (which I can’t do).

    🙁

    Plugin Support Beda

    (@bedas)

    What you share in the Screenshot is indeed expected.

    You are able to update the latest free versions, and as well, if you require, to the latest paid version.

    It’s not mandatory at all of course and you always get the latest updated version of the free versions, as long we keep the support for it (approximately along 2018).
    Every Types “free version” user will continue receiving updates during this time – every time there’s an update of the free version it’ll appear.

    If you do not want to purchase 3.0 they can just safely continue using Types (free) versions.

    Again, sorry about the trouble and confusion in the last days.

    I can keep using Types free version with a constant message of needs updating?! Is that true? I will need to see this “needs update” message all the time even after the shutdown of the free version?

    s

    (@stepunk)

    @bedas
    No, this is not right!!

    From 2.3 to 3.0 is NOT an update, but an UPGRADE (from a free version to a paid version). This should be optional and not be shown in the update page as a regular update, since it isn’t…

    Is also shows up in tools like Manage WP as a regular update, but every time it throws an error because it can’t update it.

    The point is: if you can’t UPDATE a FREE plugin for FREE , it should NOT appear as an update in WordPress!

    @bedas
    Can you please confirm me that if I dont upgrade to 3.0 I will keep getting the update request?
    I just need to know to search for a hack and avoid it, I’m managing a lot of sites and I don’t want to be warned of an update that is not really an update…

    I decativated the plugin and updated it, then I reactivated it.

    There’s no need to remove it.

    Hi Amit here, I am the Toolset support manager.

    As Beda said above, all users of free Type will continue receiving updates for their free version for backward compatibility and bug fixing, you will then be prompt with the update/upgrade for the new feature full pro version.

    I understand this is an issue when you are using tools for bulk updates (as Manage WP) and we can try and fix that by adding some logic to those cases, in order to be able to help with that we need some more details – step by step description and probably some site duplicator to test. If any of you agrees to share with us those I will take a look and see what can be done.

    Hope that helps,
    Cheers!

Viewing 15 replies - 1 through 15 (of 31 total)
  • The topic ‘Notification asking to purchase a Toolset Account’ is closed to new replies.